syntax = "proto3";
option go_package = ".;pb";

message TaskNode {
  int32 status = 1; //@go_tags(`bson:"status"`) 状态 0未做
                    // 1进行中(子任务没有全部完成) 2已做 3禁止进入
  repeated int32 subtaskIds = 2; //@go_tags(`bson:"subtasks"`) 子任务
}

message DBLinestory {
  string id = 1;                  //@go_tags(`bson:"_id"`) ID
  string uid = 2;                 //@go_tags(`bson:"uid"`) 用户ID
  int32 jqId = 3;                 //@go_tags(`bson:"jqId"`) 剧情ID
  map<int32, TaskNode> tasks = 4; //@go_tags(`bson:"tasks"`) 任务
}